<template>
    <div class="relative flex-1">
      <div class="border-b-2 py-3">Section {{ current }} out of {{ total }}</div>
      <div :style="{ width: progressBarWidth }" class="absolute bottom-0 h-1 rounded bg-blue-600"></div>
    </div>
  </template>
  
  <script setup>
  import { computed } from 'vue';
  
  const props = defineProps(['current', 'total']);
  
  const progressBarWidth = computed(() => {
    const percentage = (props.current / props.total) * 100;
    return `${percentage}%`;
  });
  </script>